# flashair uploader


## Installation requirements

python3, python3-setuptools
`sudo apt install python3-setuptools`
libcurl4-openssl-dev libssl-dev
`sudo apt install libcurl4-openssl-dev libssl-dev`


Move the `flashairup` directory to the desired place (e.g. `/home/<USER>/`), referred now as WORKDIR

Create the following directory structure inside the WORKDIR:

```
├── flashairup
│   ├── data
│   │   ├── cam1
│   │   │   ├── last.txt
│   │   │   └── pictures
│   │   └── ...
│   ├── flashairup.conf
│   └── ...
└── ...
```
where `cam1` is only an example for the name of a cam.
The `last.txt` is needed for keeping track of the index of the last synchronised pictures.
The `flashairup.conf` should at least contain the `DEFAULT` section:

```
   [DEFAULT]
   ftp_srv = FTP-SERVER
   ftp_path = PATH
   ftp_user = USER
   ftp_pwd = PASSWORD
   db = new
   # Set the logger level (DEBUG, INFO, WARNING, ERROR)
   log_level = DEBUG
```

Add a cam section to the config file:

```
   [cam1] # cam name
   ip = CAM-IP
   location = LOCATION-OF-THE-PICTURES-ON-CAM
```

Example config:

```
   [DEFAULT]
   ftp_srv = my.ftp.server.org
   ftp_path = media/pictures
   ftp_user = ftpuser
   ftp_pwd = strongpassword1
   db = new
   # Set the logger level (DEBUG, INFO, WARNING, ERROR)
   log_level = DEBUG

   [cam1]
   ip = 10.0.0.10
   location = DCIM/101NIKON
```
